{% extends "app-subsubmenu.html" %}
{% comment %}
#
# This file is part of FreedomBox.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
{% endcomment %}

{% load i18n %}

{% block page_head %}
  <style type="text/css">
    .share-operations form {
      display: inline-block;
    }
    .share-operations {
      text-align: right;
    }
    .mount-error {
      padding: 0px 10px 0px 10px;
      color: orange;
    }
    .mount-success {
      padding: 0px 10px 0px 10px;
      color: black;
    }
    .inline-block {
      display: inline-block;
    }
  </style>
{% endblock %}

{% block configuration %}

  <h3>{% trans 'Existing backup locations' %}</h3>

  {% include "backups_repository.inc" with repository=root_repository uuid='root' editable=False %}

  {% for uuid,repository in ssh_repositories.items %}
    {% include "backups_repository.inc" with editable=True %}
  {% endfor %}

  <br />

  <a title="{% trans 'Create new repository' %}"
     role="button" class="btn btn-primary"
     href="{% url 'backups:repository-add' %}">
    <span class="fa fa-plus" aria-hidden="true"></span>
    {% trans 'Add Remote Repository' %}
  </a>

{% endblock %}
